-- $Id: Player.lua 415 2013-09-03 01:55:05Z dsb $
-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham ("Zizzo")
-- dsb-tome@killerbunnies.org

local _M = loadPrevious(...)

local super_autoExplore = _M.autoExplore
function _M:autoExplore()
  local eff = self:hasEffect(self.EFF_GOING_TO_LANDMARK)
  if eff then
    -- Dodgy Hack(TM):  Ignore normal auto-explore and continue to selected
    -- landmark.
    print(('[LANDMARK] autoExplore:  going to target %d,%d'):format(eff.target_x, eff.target_y))
    self:mouseMove(eff.target_x, eff.target_y, nil, nil, true)
    return true
  else
    return super_autoExplore(self)
  end
end

return _M
